Name:           epstool
Version:        3.09
Release:        %mkrel 3
Summary:        A utility to create or extract preview images in EPS files
Group:          Publishing
License:        GPLv2+
URL:            http://www.ghostgum.com.au/software/epstool.htm
# The original archive was repacked because all the files and dirs have permission 0400
Source0:        http://www.ghostgum.com.au/download/%{name}-%{version}.tar.gz
# from deb
Patch0:         02_no_use_gnu.patch
Patch1:         03_cross_buildable.patch
# don't strip thus allowing debug package
Patch2:         %{name}-%{version}-nostrip.patch
BuildRequires:  dos2unix

%description
Epstool is a utility to create or extract preview images in EPS files,
fix bounding boxes and convert to bitmaps.

Features:
- Add EPSI, DOS EPS or Mac PICT previews.
- Extract PostScript from DOS EPS files.
- Uses Ghostscript to create preview bitmaps.
- Create a TIFF, WMF, PICT or Interchange preview from part of a
  bitmap created by Ghostscript.

%prep
%setup -q
find . -type f -exec dos2unix -k {} \;
%autopatch -p1

%build
%make_build CFLAGS="%{optflags} -D_GNU_SOURCE"

%install
%make_install \
        EPSTOOL_ROOT=%{buildroot}%{_prefix} \
        EPSTOOL_MANDIR=%{buildroot}%{_mandir}
rm -rf %{buildroot}/usr/share/doc

%files
%doc doc/epstool.htm doc/gsview.css
%license LICENCE
%attr(0755,root,root) %{_bindir}/epstool 
%attr(0644,root,root) %{_mandir}/man1/epstool.1.*



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.09-3.mga10
+ Revision: 2217602
- Mageia 10 Mass Rebuild

* Wed Feb 01 2023 ghibo <ghibo> 3.09-2.mga9
+ Revision: 1937330
- Rebuild for aging

* Tue May 03 2022 ghibo <ghibo> 3.09-1.mga9
+ Revision: 1855998
- imported package epstool


* Tue May 03 2022 ghibo <ghibo> - 3.09-1.mga9
- Import initial release for octave.
